Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.configuration
Interface IInstallDeltaHandler

Deprecated. Do not use this interface. The extension point deltaHandler has been deprecated.

public interface IInstallDeltaHandler

Install Delta Handler. Presents the changes the reconciler found to the user

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0

Method Summary
`void` | `init(ISessionDelta[] deltas)` Deprecated. Sets the list of session delta to present to the user
`void` | `open()` Deprecated. Prompt the user to configure or unconfigure new features found during reconciliation

Method Detail

### init

    public void init(ISessionDelta[] deltas)

  Deprecated.
  Sets the list of session delta to present to the user

  Parameters:
    `deltas` - an Array of `ISessionDelta`
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### open

    public void open()

  Deprecated.
  Prompt the user to configure or unconfigure new features found during reconciliation

  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.